Name: swing-layout
Summary: Natural layout for Swing panels 
Group: Development/Libraries/Java
URL: https://swing-layout.dev.java.net/
Epoch:   0
Version: 1.0
Release: 1jpp
License: LGPL
Vendor:         JPackage Project
Distribution:   JPackage

BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: java-devel >= 0:1.3
BuildRequires: ant
Requires: java >= 0:1.3
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0: %{name}-%{version}-src.zip
# download: https://swing-layout.dev.java.net/files/documents/2752/25313/swing-layout-1.0-src.zip

%description
Swing Layout Extensions goal is to make it easy to create professional cross platform layouts with Swing. This project has an eye towards the needs of GUI builders, such as NetBeans. This project consists of the following pieces: 
* Ability to get the baseline for components. 
* Ability to get the preferred gap between components. 
A new LayoutManager that utilizes both of these concepts and is tuned toward a free-form drag and drop layout model as can be provided by GUI builders.

%package javadoc
Summary: Javadoc documentation for Swing Layout
Group: Development/Documentation
%description javadoc
Swing Layout Extensions goal is to make it easy to create professional cross platform layouts with Swing. 

This package contains the Javadoc documentation for Swing Layout.

%prep
%setup -q -c %{name}-%{version}
#%patch0 -p0

%build
unset CLASSPATH
export CLASSPATH=%{java_home}/jre/lib/rt.jar
%ant jar javadoc dist

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir} \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -pr dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%post javadoc
ln -s %{_javadocdir}/%{name}-%{version} %{_docdir}/%{name}-javadoc/docs/api
%preun javadoc
rm -f %{_docdir}/%{name}-javadoc/docs/api
%postun

%files
%defattr(-,root,root)
%{_javadir}/%{name}*.jar
%doc releaseNotes.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

# date +"%a %b %d %Y"
%changelog
* Mon Nov 12 2005 Jaroslav Tulach <jtulach@netbeans.org> - 0:0.9-1jpp
- First packaged release.
